Bug 436949 - Wrong search path for texmf.cnf
Wrong search path for texmf.cnf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 07:04 EDT by Ottavio G. Rizzo
Modified: 2013-07-02 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 13:17:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
put web2c after sysconfdir and don't use share/texmf in SELFAUTO (2.21 KB, patch)
2008-03-11 20:18 EDT, Patrice Dumas
no flags Details | Diff

  None (edit)
Description Ottavio G. Rizzo 2008-03-11 07:04:29 EDT
Description of problem:

The paths where texmf.cnf is searched are defined at compile time in
/kpathsea/paths.h as 
#define DEFAULT_TEXMFCNF
"{$SELFAUTOLOC,$SELFAUTODIR,$SELFAUTOPARENT}{,{/share,}/texmf{-local,}/web2c}:/etc/texmf:/usr/local/share/texmf/web2c:/usr/share/texmf/web2c:/usr/share/texmf/web2c"

/etc/texmf is wrong, it should be /etc/texmf/web2c. Moreover,
/usr/share/texmf/web2c appears twice (actually thrice, since it's implied by
SELFAUTOPARENT)

Version-Release number of selected component (if applicable):

texlive-2007-24.fc8


Expected results:

A local modification of texmf.cnf should go in /etc/texmf/web2c, not in /etc/texmf
Comment 1 Ottavio G. Rizzo 2008-03-11 07:22:03 EDT
Actually, the first definition:
{$SELFAUTOLOC,$SELFAUTODIR,$SELFAUTOPARENT}{,{/share,}/texmf{-local,}/web2c}

*should* not be there, since it implies that /usr/share/texmf/web2c is searched
before /etc/texmf/web2c, making it impossible to override default values.

It's debatable which should be the places for local modifications (I don't
understand Fedora directory structure well enough to comment), but
DEFAULT_TEXMFCNF should be set to sensible values like

"/etc/texmf/web2c:/var/lib/texmf/web2c:.:/etc/texmf/web2c"

(should also /usr/local/share/texmf/web2c be there?)
(is . a security risk? it'd be useful for experiments)
(should we look also in the user home directory?)
Comment 2 Patrice Dumas 2008-03-11 11:14:21 EDT
I agree with /etc/texmf/web2c (and I am certainly the culprit). 

For SELFAUTO stuff it is more problematic. If I recall well this is 
used because it is used in kpathsea because of a post-build run of 
some utilities, and for this post build run, the SELFAUTO stuff has 
to be present. I'll have a look at it once more, since Karl Berry said
that it was not used, maybe we could avoid using it during the build.

It is normal to have /usr/share/texmf/web2c appearing twice since it
is $TEXMF/web2c;@web2c@ from upstream. 
Comment 3 Patrice Dumas 2008-03-11 20:18:36 EDT
Created attachment 297691 [details]
put web2c after sysconfdir and don't use share/texmf in SELFAUTO

I didn't find anything better than only using texmf-local 
instead of texmf (and texmf-local). The texmf.cnf has to 
be installed in the texmf-local directory during the build for
the texlinks call, it is also done in the patch.
Comment 4 Jindrich Novy 2008-03-12 13:17:24 EDT
Applied, thanks!

Note You need to log in before you can comment on or make changes to this bug.